net.sf.okapi.common.annotation

## Class XLIFFNote

- java.lang.Object
- - net.sf.okapi.common.annotation.XLIFFNote

-     public class XLIFFNote
      extends java.lang.Object

  Annotation representing the XLIFF 1.2 note element. The set of note elements should be contained within the XLIFFNoteAnnotation

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XLIFFNote.Annotates`
    `static class` | `XLIFFNote.Priority`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XLIFFNote()`
    `XLIFFNote(java.lang.String note)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XLIFFNote.Annotates` | `getAnnotates()`
    `java.lang.String` | `getFrom()`
    `java.lang.String` | `getNoteText()`
    `XLIFFNote.Priority` | `getPriority()`
    `java.lang.String` | `getXmLang()`
    `void` | `setAnnotates(XLIFFNote.Annotates annotates)`
    `void` | `setFrom(java.lang.String from)`
    `void` | `setNoteText(java.lang.String note)`
    `void` | `setPriority(XLIFFNote.Priority priority)`
    `void` | `setXmlLang(java.lang.String xmlLang)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XLIFFNote

          public XLIFFNote()

    - #### XLIFFNote

          public XLIFFNote(java.lang.String note)

  - ### Method Detail

    - #### getNoteText

          public java.lang.String getNoteText()

    - #### setNoteText

          public void setNoteText(java.lang.String note)

    - #### getXmLang

          public java.lang.String getXmLang()

    - #### setXmlLang

          public void setXmlLang(java.lang.String xmlLang)

    - #### getFrom

          public java.lang.String getFrom()

    - #### setFrom

          public void setFrom(java.lang.String from)

    - #### getPriority

          public XLIFFNote.Priority getPriority()

    - #### setPriority

          public void setPriority(XLIFFNote.Priority priority)

    - #### getAnnotates

          public XLIFFNote.Annotates getAnnotates()

    - #### setAnnotates

          public void setAnnotates(XLIFFNote.Annotates annotates)